This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277182 - libsedml- clang++ ignores flags for harden package
libsedml- clang++ ignores flags for harden package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libsedml (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 1277179
Blocks: harden-failure
  Show dependency treegraph
 
Reported: 2015-11-02 10:33 EST by Antonio Trande
Modified: 2016-01-01 14:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 14:34:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-11-02 10:33:38 EST
Description of problem:
libsedml must be compiled with clang++ compiler on Fedora > 22 x86_64 and aarch64, but flags for hardened builds are ignored:

clang: warning: -Wl,-z,relro: 'linker' input unused
clang: warning: -Wl,-z,now: 'linker' input unused
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'

Version-Release number of selected component (if applicable):
libsedml-0.3.1-4

How reproducible:
Always on Fedora >22 x86_64 aarch64

Note:
Current checksec output seems good:

 checksec --file libsedml.so.0.3.1
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Full RELRO      Canary found      NX enabled    DSO             No RPATH   No RUNPATH   ./libsedml.so.0.3.1
Comment 1 Antonio Trande 2016-01-01 14:34:59 EST
Fixed with release 0.3.1-9.

Note You need to log in before you can comment on or make changes to this bug.